;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          aima.asd
;;;; Purpose:       ASDF definition file for Aima
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Sep 2002
;;;;
;;;; $Id: aima.asd,v 1.6 2002/12/12 23:55:51 kevin Exp $
;;;;
;;;; This file, part of cl-aima, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; cl-aima users are granted the rights to distribute and use this software
;;;; as governed by the terms of the GNU Lesser General Public License 
;;;; (http://www.gnu.org/licenses/lgpl.html)
;;;; *************************************************************************

(in-package :asdf)

(defclass aima-module (module) ())

(let ((loaded nil)
      (compiled nil))

  (defmethod perform ((op load-op) (c aima-module))
    (cl-user::aima-load 'cl-user::all)
    (setq loaded t))

  (defmethod perform ((op compile-op) (c aima-module))
    (cl-user::aima-compile)
    (setq compiled t))
  
  (defmethod operation-done-p ((op load-op) (c aima-module))
    loaded)

  (defmethod operation-done-p ((op compile-op) (c aima-module))
    compiled))

(defsystem :aima
    :name "cl-aima"
    :author "Peter Norvig"
    :version "1.0"
    :maintainer "Kevin M. Rosenberg <kmr@debian.org>"
    :licence "Peter Norvig's DFSG-compliant license"
    :description "Artificial Intelligence: A Modern Approach Source Code"
    :long-description "Source code from the book Artificial Intelligence: A Modern Approach by Peter Norvig."
    :components ((:file "aima")
		 (:aima-module :aima :depends-on ("aima"))))






